#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "ChatSubPresenter.generated.h"

class UChatSimulator;

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API UChatSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	UChatSimulator* _chatSimulator;

private:
	UFUNCTION(BlueprintCallable)
	void OnTextCommited(const FText& text);

	UFUNCTION(BlueprintCallable)
	void OnChatVisibilityToggled(const bool isVisible);

public:
	UChatSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UChatSubPresenter) { return 0; }
